Package org.eclipse.swt.accessibility

# Class AccessibleTableAdapter

java.lang.Object
org.eclipse.swt.accessibility.AccessibleTableAdapter

All Implemented Interfaces:
  `EventListener`, `AccessibleTableListener`, `SWTEventListener`

public class AccessibleTableAdapter extends Object implements AccessibleTableListener
This adapter class provides default implementations for the methods in the `AccessibleTableListener` interface.

Classes that wish to deal with `AccessibleTable` events can extend this class and override only the methods that they are interested in.

Many methods in this adapter return cell accessible objects, which should implement `AccessibleTableCellListener`.

Since:
  3.6
See Also:
  - `AccessibleTableAdapter`
  - `AccessibleTableEvent`
  - `AccessibleTableCellListener`
  - `AccessibleTableCellEvent`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleTableAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`deselectColumn(AccessibleTableEvent e)`
Deselects one column, leaving other selected columns selected (if any).
`void`
`deselectRow(AccessibleTableEvent e)`
Deselects one row, leaving other selected rows selected (if any).
`void`
`getCaption(AccessibleTableEvent e)`
Deprecated.
IAccessibleTable2::caption is deprecated, instead use the IA2_RELATION_LABELED_BY relation to create a relation between the table and its caption.
`void`
`getCell(AccessibleTableEvent e)`
Returns the accessible object at the specified row and column in the table.
`void`
`getColumn(AccessibleTableEvent e)`
Returns the accessible object for the specified column in the table.
`void`
`getColumnCount(AccessibleTableEvent e)`
Returns the total number of columns in the table.
`void`
`getColumnDescription(AccessibleTableEvent e)`
Returns the description text of the specified column in the table.
`void`
`getColumnHeader(AccessibleTableEvent e)`
Returns the accessible object for the column header.
`void`
`getColumnHeaderCells(AccessibleTableEvent e)`
Returns the column header cells as an array of accessible objects.
`void`
`getColumns(AccessibleTableEvent e)`
Returns the columns as an array of accessible objects.
`void`
`getRow(AccessibleTableEvent e)`
Returns the accessible object for the specified row in the table.
`void`
`getRowCount(AccessibleTableEvent e)`
Returns the total number of rows in the table.
`void`
`getRowDescription(AccessibleTableEvent e)`
Returns the description text of the specified row in the table.
`void`
`getRowHeader(AccessibleTableEvent e)`
Returns the accessible object for the row header.
`void`
`getRowHeaderCells(AccessibleTableEvent e)`
Returns the row header cells as an array of accessible objects.
`void`
`getRows(AccessibleTableEvent e)`
Returns the rows as an array of accessible objects.
`void`
`getSelectedCellCount(AccessibleTableEvent e)`
Returns the number of selected cells.
`void`
`getSelectedCells(AccessibleTableEvent e)`
Returns the currently selected cells.
`void`
`getSelectedColumnCount(AccessibleTableEvent e)`
Returns the number of selected columns.
`void`
`getSelectedColumns(AccessibleTableEvent e)`
Returns the column indexes that are currently selected.
`void`
`getSelectedRowCount(AccessibleTableEvent e)`
Returns the number of selected rows.
`void`
`getSelectedRows(AccessibleTableEvent e)`
Returns the row indexes that are currently selected.
`void`
`getSummary(AccessibleTableEvent e)`
Deprecated.
IAccessibleTable2::summary is deprecated, instead use the IA2_RELATION_DESCRIBED_BY relation to create a relation between the table and its summary.
`void`
`getVisibleColumns(AccessibleTableEvent e)`
Returns the visible columns as an array of accessible objects.
`void`
`getVisibleRows(AccessibleTableEvent e)`
Returns the visible rows as an array of accessible objects.
`void`
`isColumnSelected(AccessibleTableEvent e)`
Returns a boolean value indicating whether the specified column is completely selected.
`void`
`isRowSelected(AccessibleTableEvent e)`
Returns a boolean value indicating whether the specified row is completely selected.
`void`
`selectColumn(AccessibleTableEvent e)`
Selects a column.
`void`
`selectRow(AccessibleTableEvent e)`
Selects a row.
`void`
`setSelectedColumn(AccessibleTableEvent e)`
Selects a column and deselects all previously selected columns.
`void`
`setSelectedRow(AccessibleTableEvent e)`
Selects a row and deselects all previously selected rows.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleTableAdapter

public AccessibleTableAdapter()

## Method Details

### deselectColumn

public void deselectColumn(AccessibleTableEvent e)
Deselects one column, leaving other selected columns selected (if any).

Specified by:
  `deselectColumn` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] column - 0 based index of the column to be unselected.
  - [out] result - set to `ACC.OK` if the column was deselected.

### deselectRow

public void deselectRow(AccessibleTableEvent e)
Deselects one row, leaving other selected rows selected (if any).

Specified by:
  `deselectRow` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] row - 0 based index of the row to be unselected
  - [out] result - set to `ACC.OK` if the row was deselected.

### getCaption

@Deprecated public void getCaption(AccessibleTableEvent e)
Deprecated.
IAccessibleTable2::caption is deprecated, instead use the IA2_RELATION_LABELED_BY relation to create a relation between the table and its caption.
Returns the caption for the table.

Specified by:
  `getCaption` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - the caption for the table, or null if the table does not have a caption

### getCell

public void getCell(AccessibleTableEvent e)
Returns the accessible object at the specified row and column in the table.

Specified by:
  `getCell` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] row - the 0 based row index for which to retrieve the accessible cell
  - [in] column - the 0 based column index for which to retrieve the accessible cell
  - [out] accessible - the table cell at the specified row and column index, or null if the row or column index are not valid

### getColumn

public void getColumn(AccessibleTableEvent e)
Returns the accessible object for the specified column in the table.

Specified by:
  `getColumn` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] column - the 0 based column index for which to retrieve the accessible column
  - [out] accessible - the table column at the specified column index, or null if the column index is not valid

### getColumnCount

public void getColumnCount(AccessibleTableEvent e)
Returns the total number of columns in the table.

Specified by:
  `getColumnCount` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of columns in the table

### getColumnDescription

public void getColumnDescription(AccessibleTableEvent e)
Returns the description text of the specified column in the table.

Specified by:
  `getColumnDescription` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] column - the 0 based index of the column for which to retrieve the description
  - [out] result - the description text of the specified column in the table, or null if the column does not have a description

### getColumnHeader

public void getColumnHeader(AccessibleTableEvent e)
Returns the accessible object for the column header.

Specified by:
  `getColumnHeader` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - an accessible object representing the column header, or null if there is no column header

### getColumnHeaderCells

public void getColumnHeaderCells(AccessibleTableEvent e)
Returns the column header cells as an array of accessible objects.

Specified by:
  `getColumnHeaderCells` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing column header cells, or null if there are no column header cells

### getColumns

public void getColumns(AccessibleTableEvent e)
Returns the columns as an array of accessible objects.

Specified by:
  `getColumns` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing columns, or null if there are no columns

### getRow

public void getRow(AccessibleTableEvent e)
Returns the accessible object for the specified row in the table.

Specified by:
  `getRow` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] row - the 0 based row index for which to retrieve the accessible row
  - [out] accessible - the table row at the specified row index, or null if the row index is not valid

### getRowCount

public void getRowCount(AccessibleTableEvent e)
Returns the total number of rows in the table.

Specified by:
  `getRowCount` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of rows in the table

### getRowDescription

public void getRowDescription(AccessibleTableEvent e)
Returns the description text of the specified row in the table.

Specified by:
  `getRowDescription` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] row - the 0 based index of the row for which to retrieve the description
  - [out] result - the description text of the specified row in the table, or null if the row does not have a description

### getRowHeader

public void getRowHeader(AccessibleTableEvent e)
Returns the accessible object for the row header.

Specified by:
  `getRowHeader` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - an accessible object representing the row header, or null if there is no row header

### getRowHeaderCells

public void getRowHeaderCells(AccessibleTableEvent e)
Returns the row header cells as an array of accessible objects.

Specified by:
  `getRowHeaderCells` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing row header cells, or null if there are no row header cells

### getRows

public void getRows(AccessibleTableEvent e)
Returns the rows as an array of accessible objects.

Specified by:
  `getRows` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing rows, or null if there are no rows

### getSelectedCellCount

public void getSelectedCellCount(AccessibleTableEvent e)
Returns the number of selected cells.

Specified by:
  `getSelectedCellCount` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of cells currently selected

### getSelectedCells

public void getSelectedCells(AccessibleTableEvent e)
Returns the currently selected cells.

Specified by:
  `getSelectedCells` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - array containing the selected accessible cells

### getSelectedColumnCount

public void getSelectedColumnCount(AccessibleTableEvent e)
Returns the number of selected columns.

Specified by:
  `getSelectedColumnCount` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of columns currently selected

### getSelectedColumns

public void getSelectedColumns(AccessibleTableEvent e)
Returns the column indexes that are currently selected.

Specified by:
  `getSelectedColumns` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] selected - an array of 0 based column indexes of selected columns

### getSelectedRowCount

public void getSelectedRowCount(AccessibleTableEvent e)
Returns the number of selected rows.

Specified by:
  `getSelectedRowCount` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the number of rows currently selected

### getSelectedRows

public void getSelectedRows(AccessibleTableEvent e)
Returns the row indexes that are currently selected.

Specified by:
  `getSelectedRows` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] selected - an array of 0 based row indexes of selected rows

### getSummary

@Deprecated public void getSummary(AccessibleTableEvent e)
Deprecated.
IAccessibleTable2::summary is deprecated, instead use the IA2_RELATION_DESCRIBED_BY relation to create a relation between the table and its summary.
Returns the summary description of the table.

Specified by:
  `getSummary` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - the summary for the table, or null if the table does not have a summary

### getVisibleColumns

public void getVisibleColumns(AccessibleTableEvent e)
Returns the visible columns as an array of accessible objects.

Specified by:
  `getVisibleColumns` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing visible columns, or null if there are no visible columns

### getVisibleRows

public void getVisibleRows(AccessibleTableEvent e)
Returns the visible rows as an array of accessible objects.

Specified by:
  `getVisibleRows` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of accessible objects representing visible rows, or null if there are no visible rows

### isColumnSelected

public void isColumnSelected(AccessibleTableEvent e)
Returns a boolean value indicating whether the specified column is completely selected.

Specified by:
  `isColumnSelected` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] column - 0 based index of the column for which to determine whether it is selected
  - [out] isSelected - true if the specified column is selected completely, and false otherwise

### isRowSelected

public void isRowSelected(AccessibleTableEvent e)
Returns a boolean value indicating whether the specified row is completely selected.

Specified by:
  `isRowSelected` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] row - 0 based index of the row for which to determine whether it is selected
  - [out] isSelected - true if the specified row is selected completely, and false otherwise

### selectColumn

public void selectColumn(AccessibleTableEvent e)
Selects a column.

Specified by:
  `selectColumn` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] column - 0 based index of the column to be selected
  - [out] result - set to `ACC.OK` if the column was selected.

### selectRow

public void selectRow(AccessibleTableEvent e)
Selects a row.

Specified by:
  `selectRow` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] row - 0 based index of the row to be selected
  - [out] result - set to `ACC.OK` if the row was selected.

### setSelectedColumn

public void setSelectedColumn(AccessibleTableEvent e)
Selects a column and deselects all previously selected columns.

Specified by:
  `setSelectedColumn` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] column - 0 based index of the column to be selected
  - [out] result - set to `ACC.OK` if the column was selected.

### setSelectedRow

public void setSelectedRow(AccessibleTableEvent e)
Selects a row and deselects all previously selected rows.

Specified by:
  `setSelectedRow` in interface `AccessibleTableListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] row - 0 based index of the row to be selected
  - [out] result - set to `ACC.OK` if the row was selected.